# Default values for hasura-storage.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.
enabled: false

replicaCount: 1

image:
  repository: nhost/hasura-storage
  pullPolicy: IfNotPresent
  # Overrides the image tag whose default is the chart appVersion.
  tag: ""

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

podAnnotations: {}

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

service:
  type: ClusterIP
  port: 80

ingress:
  enabled: false
  className: ""
  annotations: {}
    # kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  hosts:
    - host: chart-example.local
      paths:
        - path: /
          pathType: ImplementationSpecific
  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
  # targetMemoryUtilizationPercentage: 80

nodeSelector: {}

tolerations: []

affinity: {}

# -- extraEnvVarsCM append to ConfigMap with extra environment variables. See [values.yaml](values.yaml).
## E.g:
## extraEnvVarsCM:
##   ENV_STORE_IN_CONFIGMAP: value
extraEnvVarsCM: {}

# -- extraEnvVarsSecret append to Secret with extra environment variables. See [values.yaml](values.yaml).
## E.g:
## extraEnvVarsSecret:
##   ENV_STORE_IN_SECRET: value
extraEnvVarsSecret: {}

hasuraMetadata: 1
hasuraEndpoint: ''
hasuraGraphqlAdminSecret: ''
s3Endpoint: ''
s3AccessKey: ''
s3SecretKey: ''
s3Bucket: ''
s3RootFolder: ''
postgresMigrations: ''
postgresMigrationsSource: ''
